#
# spec file for package twpsk (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         twpsk
Copyright:    GPL
Group:        X11/Applications/Hamradio
#Requires:     
Provides:     twpsk
Obsoletes:    psk31
Autoreqprov:  on
Version:      1.1
Release:      133
Summary:      PSK31 for Linux
Source: %{name}-%{version}.tar.gz
Patch1:  %{name}-%{version}.dif
Patch2: %{name}-%{version}_LESSTIF.dif
Patch3: %{name}-%{version}_glibc.dif

%description
This program uses the C++ classes developed by Hansi Reiser, DL9RDZ. The
author just added the graphical interface on top of Hansi's classes.It
is still very alpha, and you should watch for later releases that
will add more features (waterfall, menus, etc).  See the file
README.DL9RDZ for additional information.

Authors:
--------
    Ted Williams, WA0EIR <ted@bluestone.com>
    Hansi Reiser, DL9RDZ <dl9rdz@amsat.org>

SuSE series: ham

%prep
%setup -n %{name}-%{version}
%patch -P 1
%patch -P 2
%patch -P 3
rm -f `find -name "*.o"`

%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make 

%install
make install
make install_twpsk
ln -sf user-twpsk/COPYING COPYING.twpsk
ln -sf user-twpsk/Changes Changes.twpsk
ln -sf user-twpsk/README README.twpsk
install -m 664 -g localham user-twpsk/Twpsk /usr/X11R6/lib/X11/app-defaults/
install -m 664 -g localham user-twpsk/twpskDir/Brag /usr/share/psk31/
install -m 664 -g localham user-twpsk/twpskDir/LongCQ /usr/share/psk31/
install -m 664 -g localham user-twpsk/twpskDir/ShortCQ /usr/share/psk31/

%files
%doc Changes Documentation LICENSE README COPYING.twpsk Changes.twpsk README.twpsk
/usr/bin/psk31lx
/usr/X11R6/bin/twpsk
%config /usr/X11R6/lib/X11/app-defaults/Twpsk
%config(noreplace) /usr/share/psk31/Brag
%config(noreplace) /usr/share/psk31/LongCQ
%config(noreplace) /usr/share/psk31/ShortCQ
%config /usr/share/psk31/psk31.cod
%config /usr/share/psk31/twpskHelp
%config %{_mandir}/man1/psk31.1.gz

%changelog -n twpsk
* Wed Apr 04 2001 - schwab@suse.de
- Fix missing declarations.
* Fri Feb 09 2001 - ka@suse.de
- changed <linux/soundcard.h> to <sys/soundcard.h> and added <time.h>
  to user/term-psk31.C
* Fri Jan 05 2001 - ka@suse.de
- update to version 1.1
- added patch to not rely on LessTif but use OpenMotif (Thanks to Uli!)
- now again with manual page psk31(1)
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Mon Jun 26 2000 - uli@suse.de
- now removes the stale object files before building (fails on non-x86
  archs otherwise)
* Sat Jun 17 2000 - ka@suse.de
- fixed spec file, removed (noreplace) from Twpsk file, this needs
  to be replaced while updating
* Mon Jun 05 2000 - ka@suse.de
- update to version 0.10b
- added group tag in spec file
- used more macros in spec file
- used group "localham" for configuration files
* Fri Mar 31 2000 - ka@suse.de
- update to version 0.9
* Thu Mar 16 2000 - ka@suse.de
- update to version 0.8
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Thu Dec 23 1999 - ka@suse.de
- update to new version 0.7
- psk31.ini has gone, configuration is done completely in
  /usr/X11R6/lib/X11/app-defaults/Twpsk
* Thu Nov 25 1999 - ka@suse.de
- initial release 0.6
